package com.eactive.eai.rms.service.tas;

import java.util.HashMap;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("tasInfoDao")
public class TasInfoDao extends SqlMapClientTemplateDao {
	protected final Logger logger = Logger.getLogger(getClass());
    	
    public List selectBizAdapterInfoList(HashMap param) throws Exception {
    	return template.queryForList("TasInfo.selectBizAdapterInfoList", param);
    }
    
    public List selectAdapterMessageKeyInfoList(HashMap param) throws Exception {
    	return template.queryForList("TasInfo.selectAdapterMessageKeyInfoList", param);
    }
	
    public List selectLayoutInfo(HashMap param) throws Exception {
    	return template.queryForList("TasInfo.selectLayoutInfo", param);
    }
    
    public List selectLayoutList(HashMap param) throws Exception {
    	return template.queryForList("TasInfo.selectLayoutList", param);
    }
    
    public List selectCallType(HashMap param) throws Exception {
    	return template.queryForList("TasInfo.selectCallType", param);
    }
}
